%% The local SVD-FMM
% http://dx.doi.org/10.17864/1947.329
% Please see the README file for more information including licence.

function fmm = reordering(q_near,q_inter,len,box)
  
    m=size(box,1);
    only_near=zeros(len);
    for ibox=1:m
        n=size(box{ibox},1);
        for i=1:n
            only_near(box{ibox}(i))=q_near{ibox}(i);
        end
    end
    
    only_inter=zeros(len);
    for ibox=1:m
        n=size(box{ibox},1);
        for i=1:n
            only_inter(box{ibox}(i))=q_inter{ibox}(i);
        end
    end
 
    fmm=only_near+only_inter;
end